%define name	waitclose
%define version	0.3
%define release	1mdk

Summary:	Waits for a user to insert cdroms.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	http://www.technocage.com/~caskey/waitclose/download/%{name}-%{version}.tar.bz2
Url:		http://www.technocage.com/~caskey/waitclose
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
waitclose is a trivially simple program that is useful
in scripts that need to wait for a user to insert cdroms.
If the disc drive is empty it will eject it. If a disc
is present it considers its work done. If the disc drive
is open it will wait until it closes with a disc in it.
Closing the tray without anything in it will cause it to
be re-opened.

%prep
rm -rf %{buildroot}

%setup -q

%build
%make %{name}

%install
install -d %{buildroot}%{_bindir}
install -m755 %{name} %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/* INSTALL README
%{_bindir}/%{name}

%changelog
* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-1mdk
- initial cooker contrib
